org.apache.commons.ssl.rmi

## Class IntegerRMI

- java.lang.Object
- - java.rmi.server.RemoteObject
  - - java.rmi.server.RemoteServer
    - - java.rmi.server.UnicastRemoteObject
      - - org.apache.commons.ssl.rmi.IntegerRMI

All Implemented Interfaces:
  java.io.Serializable, java.rmi.Remote, RemoteInteger

    public class IntegerRMI
    extends java.rmi.server.UnicastRemoteObject
    implements java.rmi.Remote, java.io.Serializable, RemoteInteger

Since:
  22-Feb-2007
Author:
  Credit Union Central of British Columbia, www.cucbc.com, juliusdavies@cucbc.com
See Also:
  Serialized Form

### Field Summary

Fields
`private int` `i`

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

### Constructor Summary

Constructors
Constructor and Description
`IntegerRMI()`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`int` `getInt()`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### i

    private int i

### Constructor Detail

#### IntegerRMI

    public IntegerRMI()
               throws java.rmi.RemoteException

Throws:
  `java.rmi.RemoteException`

### Method Detail

#### getInt

    public int getInt()
               throws java.rmi.RemoteException

Specified by:
  `getInt` in interface `RemoteInteger`
Throws:
  `java.rmi.RemoteException`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.rmi.server.RemoteObject`